{
    "path": "$OET_PATH/testcases/function_test/pkg_test/gedit/gedit",
    "machine num": 1,
    "cases": [
        {
            "name": "test_gedit_gedit",
            "desc": "测试不带任何参数的gedit命令"
        },
        {
            "name": "test_gedit_gedit__upper_v",
            "desc": "测试显示应用程序版本的gedit命令"
        },
        {
            "name": "test_gedit_gedit__h",
            "desc": "测试显示帮助选项的gedit命令"
        },
        {
            "name": "test_gedit_gedit__help_all",
            "desc": "测试显示所有帮助选项的gedit命令"
        },
        {
            "name": "test_gedit_gedit__help_gapplication",
            "desc": "测试显示GApplication选项的gedit命令"
        },
        {
            "name": "test_gedit_gedit__help_gtk",
            "desc": "测试显示GTK+选项的gedit命令"
        },
        {
            "name": "test_gedit_gedit__list_encodings",
            "desc": "测试显示可能的编码值列表的gedit命令"
        },
        {
            "name": "test_gedit_gedit__encoding",
            "desc": "测试设置字符编码的gedit命令，需指定ENCODING参数"
        },
        {
            "name": "test_gedit_gedit__new_window",
            "desc": "测试在现有实例中创建新顶级窗口的gedit命令"
        },
        {
            "name": "test_gedit_gedit__new_document",
            "desc": "测试在现有实例中创建新文档的gedi t命令"
        },
        {
            "name": "test_ ged it_ ged it__w",
            " desc ": " 测 试 打 开 文 件 并 阻 塞 进 程 直 到 文 件 关 闭 的 gedit命  令 "
        },
        {
            "name": "test_gedit_function_openfile",
            "desc": "测试打开指定文件的gedit命令"
        }
    ]
}